<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE j8583-config PUBLIC "-//J8583//DTD CONFIG 1.0//EN" "http://j8583.sourceforge.net/j8583.dtd">
<j8583-config>

	<!-- These are the ISO headers to be prepended to the message types specified -->
	<!-- <header type="0200">ISO015000050</header> -->
	<!-- <header type="0210">ISO015000055</header> -->
	<!-- <header type="0400">ISO015000050</header> -->
	<!-- <header type="0410">ISO015000055</header> -->
	<!-- <header type="0800">ISO015000015</header> -->
	<!-- <header type="0810">ISO015000015</header> -->
	<!-- <header type="1200">ISO015000055</header> -->
	<!-- <header type="1210">ISO015000055</header> -->
	<!-- <header type="1220">ISO015000055</header> -->
	<!-- <header type="1230">ISO015000055</header> -->

	<!-- The client example uses this to create requests -->
	<template type="0200">
		<field num="3" type="NUMERIC" length="6">650000</field>
		<field num="32" type="LLVAR">456</field>
		<field num="35" type="LLVAR">4591700012340000=</field>
		<field num="43" type="ALPHA" length="40">SOLABTEST TEST-3 DF MX</field>
		<field num="49" type="ALPHA" length="3">484</field>
		<field num="60" type="LLLVAR">B456PRO1+000</field>
		<field num="61" type="LLLVAR"> 1234P</field>
		<field num="100" type="LLVAR">999</field>
		<field num="102" type="LLVAR">ABCD</field>
	</template>

	<!-- The server example uses this to create the responses we only need a few fields because the rest are copied from the request -->
<!-- 	<template type="0210"> -->
<!-- 		<field num="60" type="LLLVAR">Fixed data from template</field> -->
<!-- 		<field num="70" type="ALPHA" length="3">ABC</field> -->
<!-- 		<field num="90" type="ALPHA" length="42">Field of length 42</field> -->
<!-- 		<field num="100" type="LLVAR">Fixed field</field> -->
<!-- 		<field num="102" type="LLVAR">Another fixed field</field> -->
<!-- 		<field num="126" type="LLLVAR">...and yet another fixed field.</field> -->
<!-- 	</template> -->


<!-- 	<template type="1200"> -->
<!-- 		<field num="100" type="LLVAR">Fixed field</field> -->
<!-- 	</template> -->

<!-- 	<template type="1210"> -->
<!-- 		<field num="100" type="LLVAR">Fixed field</field> -->
<!-- 	</template> -->

	<parse type="1644">
		<field num="7" type="DATE10" />
		<field num="44" type="LLVAR" />
		<field num="47" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
		<field num="116" type="LLLVAR" />
	</parse>

	<!-- Login/Logout template -->
	<template type="1800">
		<field num="7" type="DATE10" />
		<field num="48" type="LLLVAR" />
		<field num="111" type="LLLVAR" />
		<field num="114" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
	</template>

	<!-- Login/Logout parser -->
	<parse type="1800">
		<field num="7" type="DATE10" />
		<field num="48" type="LLLVAR" />
		<field num="111" type="LLLVAR" />
		<field num="114" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
	</parse>

	<!-- The server example uses this to read the requests -->
	<parse type="0200">
		<field num="3" type="NUMERIC" length="6" />
		<field num="4" type="AMOUNT" />
		<field num="7" type="DATE10" />
		<field num="11" type="NUMERIC" length="6" />
		<field num="12" type="TIME" />
		<field num="13" type="DATE4" />
		<field num="15" type="DATE4" />
		<field num="17" type="DATE_EXP" />
		<field num="32" type="LLVAR" />
		<field num="35" type="LLVAR" />
		<field num="37" type="NUMERIC" length="12" />
		<field num="41" type="ALPHA" length="16" />
		<field num="43" type="ALPHA" length="40" />
		<field num="48" type="LLLVAR" />
		<field num="49" type="ALPHA" length="3" />
		<field num="60" type="LLLVAR" />
		<field num="61" type="LLLVAR" />
		<field num="100" type="LLVAR" />
		<field num="102" type="LLVAR" />
		<field num="180" type="LLVAR" />
	</parse>


	<parse type="1200">
		<field num="3" type="NUMERIC" length="6" />
		<field num="4" type="NUMERIC"  length="12" />
		<field num="7" type="DATE10" />
		<field num="46" type="LLLVAR" />
		<field num="48" type="LLLVAR" />
		<field num="49" type="ALPHA" length="3" />
		<field num="59" type="LLLVAR" />
		<field num="62" type="LLLVAR" />
		<field num="63" type="LLLVAR" />
		<field num="104" type="LLLVAR" />
		<field num="113" type="LLLVAR" />
		<field num="114" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
		<field num="121" type="LLLVAR" />
		<field num="122" type="LLLVAR" />
		<field num="123" type="LLLVAR" />
		<field num="124" type="LLLVAR" />
		<field num="125" type="LLLVAR" />
	</parse>

	<parse type="1220">
		<field num="3" type="NUMERIC" length="6" />
		<field num="4" type="NUMERIC"  length="12" />
		<field num="7" type="DATE10" />
		<field num="46" type="LLLVAR" />
		<field num="48" type="LLLVAR" />
		<field num="49" type="ALPHA" length="3" />
		<field num="59" type="LLLVAR" />
		<field num="62" type="LLLVAR" />
		<field num="63" type="LLLVAR" />
		<field num="104" type="LLLVAR" />
		<field num="113" type="LLLVAR" />
		<field num="114" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
		<field num="121" type="LLLVAR" />
		<field num="122" type="LLLVAR" />
		<field num="123" type="LLLVAR" />
		<field num="124" type="LLLVAR" />
		<field num="125" type="LLLVAR" />
	</parse>

	<parse type="1210">
		<field num="3" type="NUMERIC" length="6" />
		<field num="7" type="DATE10" />
		<field num="44" type="LLVAR" />
		<field num="46" type="LLLVAR" />
		<field num="47" type="LLLVAR" />
		<field num="49" type="ALPHA" length="3" />
		<field num="113" type="LLLVAR" />
		<field num="114" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
		<field num="116" type="LLLVAR" />
		<field num="121" type="LLLVAR" />
		<field num="123" type="LLLVAR" />
	</parse>




	<parse type="1230">
		<field num="3" type="NUMERIC" length="6" />
		<field num="7" type="DATE10" />
		<field num="44" type="LLVAR" />
		<field num="46" type="LLLVAR" />
		<field num="47" type="LLLVAR" />
		<field num="49" type="ALPHA" length="3" />
		<field num="113" type="LLLVAR" />
		<field num="114" type="LLLVAR" />
		<field num="115" type="LLLVAR" />
		<field num="116" type="LLLVAR" />
		<field num="121" type="LLLVAR" />
		<field num="123" type="LLLVAR" />
	</parse>

	<parse type="1700">
		<field num="7" type="DATE10" length="10" />
		<field num="48" type="LLLVAR" length="999" />
		<field num="49" type="ALPHA" length="3" />
		<field num="60" type="LLLVAR" length="28" />
		<field num="61" type="LLLVAR" length="50" />
		<field num="62" type="LLLVAR" length="28" />
		<field num="63" type="LLLVAR" length="25" />
		<field num="105" type="NUMERIC" length="16" />
		<field num="106" type="NUMERIC" length="16" />
		<field num="107" type="NUMERIC" length="10" />
		<field num="109" type="LLVAR" length="84" />
		<field num="110" type="LLVAR" length="84" />
		<field num="111" type="LLLVAR" length="999" />
		<field num="112" type="LLLVAR" length="999" />
		<field num="113" type="LLLVAR" length="999" />
		<field num="114" type="LLLVAR" length="999" />
		<field num="115" type="LLLVAR" length="999" />
		<field num="120" type="LLLVAR" length="100" />
		<field num="124" type="LLLVAR" length="255" />
	</parse>


	<parse type="1710">
		<field num="7" type="DATE10" length="10" />
		<field num="39" type="NUMERIC" length="3" />
		<field num="44" type="LLVAR" length="25" />
		<field num="47" type="LLLVAR" length="999" />
		<field num="115" type="LLLVAR" length="28" />
		<field num="116" type="LLLVAR" length="50" />
	</parse>

	<parse type="1810">
		<field num="7" type="DATE10" length="10" />
		<field num="44" type="LLVAR" length="25" />
		<field num="47" type="LLLVAR" length="999" />
		<field num="115" type="LLLVAR" length="28" />
		<field num="116" type="LLLVAR" length="50" />
	</parse>

	<!-- The client example uses this to read the responses -->
	<parse type="0210">
		<field num="3" type="NUMERIC" length="6" />
		<field num="4" type="AMOUNT" />
		<field num="7" type="DATE10" />
		<field num="11" type="NUMERIC" length="6" />
		<field num="12" type="TIME" />
		<field num="13" type="DATE4" />
		<field num="15" type="DATE4" />
		<field num="17" type="DATE_EXP" />
		<field num="32" type="LLVAR" />
		<field num="35" type="LLVAR" />
		<field num="37" type="NUMERIC" length="12" />
		<field num="38" type="NUMERIC" length="6" />
		<field num="39" type="NUMERIC" length="2" />
		<field num="41" type="ALPHA" length="16" />
		<field num="43" type="ALPHA" length="40" />
		<field num="48" type="LLLVAR" />
		<field num="49" type="ALPHA" length="3" />
		<field num="60" type="LLLVAR" />
		<field num="61" type="LLLVAR" />
		<field num="70" type="ALPHA" length="3" />
		<field num="90" type="ALPHA" length="42" />
		<field num="100" type="LLVAR" />
		<field num="102" type="LLVAR" />
		<field num="126" type="LLLVAR" />
	</parse>
	<parse type="1644">
		<field num="7" type="DATE10" length="10" />
		<field num="44" type="LLVAR" length="25" />
		<field num="47" type="LLLVAR" length="999" />
		<field num="115" type="LLLVAR" length="999" />
		<field num="116" type="LLLVAR" length="999" />
	</parse>

	<parse type="1430">
		<field num="7" type="DATE10" />
		<field num="44" type="LLVAR" length="99" />
		<field num="47" type="LLLVAR" length="999" />
		<field num="115" type="LLLVAR"  length="999"/>
		<field num="116" type="LLLVAR"  length="999"/>
	</parse>

	<parse type="1420">
		<field num="3" type="NUMERIC" length="6" />
		<field num="7" type="DATE10" />
		<field num="44" type="LLVAR" length="99" />
		<field num="47" type="LLLVAR" length="999" />
		<field num="115" type="LLLVAR"  length="999"/>
		<field num="116" type="LLLVAR"  length="999"/>
		<field num="123" type="LLLVAR"  length="999"/>
	</parse>

</j8583-config>